Bug 21855 - Remove deprecated delete_unverified_opac_registrations.pl cronjob
Summary: Remove deprecated delete_unverified_opac_registrations.pl cronjob
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Olivia
QA Contact: Testopia
URL:
Keywords: Academy, release-notes-needed
Depends on: 13049
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-17 21:23 UTC by Katrin Fischer
Modified: 2019-04-09 23:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
The functionality of delete_unverified_opac_registrations.pl was moved into the cleanup_database.pl cronjob. Please make sure to adjust your conjob configuration accordingly.
Version(s) released in:


Attachments
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database" (3.67 KB, patch)
2019-01-16 04:02 UTC, Olivia
Details | Diff | Splinter Review
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database" (3.77 KB, patch)
2019-01-16 04:08 UTC, Olivia
Details | Diff | Splinter Review
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database" (3.83 KB, patch)
2019-01-16 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database" (3.90 KB, patch)
2019-01-18 20:59 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-11-17 21:23:29 UTC
System preference now reads:

opac.pref#PatronSelfRegistrationVerifyByEmail# <br><strong>NOTE:</strong> This system preference requires the <code>misc/cronjobs/delete_unverified_opac_registrations.pl</code> cronjob. Ask your system administrator to schedule it.

I think this cronjob has been deprecated in favor of cleanup_database.

We should remove the deprecated Cronjob next release and change the pref description.
Comment 1 Olivia 2019-01-16 04:02:52 UTC
Created attachment 84041 [details] [review]
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database"

To Find Fix:

1. Go to Koha Administration
2. Search PatronSelfRegistrationVerifyByEmail
3. Verify that NOTE now says "system preference requires the
cleanup_database ..."
Comment 2 Olivia 2019-01-16 04:08:48 UTC
Created attachment 84044 [details] [review]
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database"

To Find Fix:

1. Go to Koha Administration
2. Search PatronSelfRegistrationVerifyByEmail
3. Verify that NOTE now says "system preference requires the
cleanup_database ..."
Comment 3 Katrin Fischer 2019-01-16 21:10:05 UTC
Created attachment 84095 [details] [review]
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database"

To Find Fix:

1. Go to Koha Administration
2. Search PatronSelfRegistrationVerifyByEmail
3. Verify that NOTE now says "system preference requires the
cleanup_database ..."

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-01-16 21:13:29 UTC
This went a little further in removing the old script as well. I've looked it up - we added the deprecation warning on 2015-07-28. So I think it's about time. 

Olivia, if you'd like to, it would be nice if you could add a note to the "Text to go in the release notes" field describing the change (old script removed, please use... or something like that)
Comment 5 Mikaël Olangcay Brisebois 2019-01-18 20:59:39 UTC
Created attachment 84225 [details] [review]
Bug 21855: Changed "deprecated delete_unverified_opac_registrations.pl cronjob" to "cleanup_database"

To Find Fix:

1. Go to Koha Administration
2. Search PatronSelfRegistrationVerifyByEmail
3. Verify that NOTE now says "system preference requires the
cleanup_database ..."

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>


 Current status: Signed Off
Comment 6 Katrin Fischer 2019-01-19 21:09:03 UTC
Moving to passed QA since Mikael has signed off and freed my QA token :)
Comment 7 Nick Clemens 2019-01-25 17:58:25 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-01-31 16:41:56 UTC
Pushed to 18.11.x for 18.11.03
Comment 9 Lucas Gass 2019-02-01 22:26:14 UTC
pushed to 18.05.x for 18.05.09
Comment 10 Fridolin SOMERS 2019-02-04 12:46:25 UTC
The cronjob delete_unverified_opac_registrations.pl has been deprecated in favor of cleanup_database by Bug 13049
Comment 11 Fridolin SOMERS 2019-02-04 12:48:21 UTC
I prefer not to apply to 17.11.x since its oldoldstable